io.vertx.ext.unit.collect

## Interface EventBusCollector

-     public interface EventBusCollector

  The event bus collector listen to events on the Vert.x event bus and translate them into reports.
  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EVENT_TEST_CASE_BEGIN` Json `type` field value that signals a test case begins, used as part of the test reporting protocol for the event bus.
    `static String` | `EVENT_TEST_CASE_END` Json `type` field value that signals a test case ends, used as part of the test reporting protocol for the event bus.
    `static String` | `EVENT_TEST_SUITE_BEGIN` Json `type` field value that signals a test suite begins, used as part of the test reporting protocol for the event bus.
    `static String` | `EVENT_TEST_SUITE_END` Json `type` field value that signals a test suite ends, used as part of the test reporting protocol for the event bus.
    `static String` | `EVENT_TEST_SUITE_ERROR` Json `type` field value that reports a test suite error, used as part of the test reporting protocol for the event bus.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `Handler<Message<JsonObject>>` | `asMessageHandler()`
    `static EventBusCollector` | `create(Vertx vertx, Handler<TestSuiteReport> reporter)`
    `static EventBusCollector` | `create(Vertx vertx, ReportingOptions options)` Create a message handler reporting with the specified options.
    `MessageConsumer` | `register(String address)` Register the collector as a consumer of the event bus with the specified address.

- - ### Field Detail

    - #### EVENT_TEST_SUITE_BEGIN

          static final String EVENT_TEST_SUITE_BEGIN

      Json `type` field value that signals a test suite begins, used as part of the test reporting protocol for the event bus.
      See Also:
        Constant Field Values

    - #### EVENT_TEST_SUITE_END

          static final String EVENT_TEST_SUITE_END

      Json `type` field value that signals a test suite ends, used as part of the test reporting protocol for the event bus.
      See Also:
        Constant Field Values

    - #### EVENT_TEST_SUITE_ERROR

          static final String EVENT_TEST_SUITE_ERROR

      Json `type` field value that reports a test suite error, used as part of the test reporting protocol for the event bus.
      See Also:
        Constant Field Values

    - #### EVENT_TEST_CASE_BEGIN

          static final String EVENT_TEST_CASE_BEGIN

      Json `type` field value that signals a test case begins, used as part of the test reporting protocol for the event bus.
      See Also:
        Constant Field Values

    - #### EVENT_TEST_CASE_END

          static final String EVENT_TEST_CASE_END

      Json `type` field value that signals a test case ends, used as part of the test reporting protocol for the event bus.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static EventBusCollector create(Vertx vertx,
                                          ReportingOptions options)

      Create a message handler reporting with the specified options. The returned message handler can be registered to an event bus.
      Parameters:
        `options` - the reporting options
      Returns:
        the message handler

    - #### create

          static EventBusCollector create(Vertx vertx,
                                          Handler<TestSuiteReport> reporter)

    - #### register

          MessageConsumer register(String address)

      Register the collector as a consumer of the event bus with the specified address.
      Parameters:
        `address` - the registration address
      Returns:
        the subscribed message consumer

    - #### asMessageHandler

          Handler<Message<JsonObject>> asMessageHandler()

Copyright © 2020 Eclipse. All rights reserved.